<?php

/* DCMS Special
 * Дата последнего редактирования 06.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

only_reg();
$set['title'] = lang('Настройки языка');
include_once H . 'sys/inc/thead.php';

err();
aut();


switch ((isset($_GET['m'])) ? htmlspecialchars($_GET['m']) : null) {
    default:
        #Навигация
        echo "<div class='list-group-item-null list-group-item-grey'><small>";
        echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo "<a href='/user/settings/'>" . lang('Настройки') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
        echo lang('Язык');
        echo "</small></div><br />";

        echo "<form class='list-group-item-null' action='language.php?m=saves' method='POST'>";

        if ($user['lang'] == 'en') {
            $lang = lang("Английский");
        } elseif ($user['lang'] == 'ru') {
            $lang = lang("Русский");
        }

        echo lang('Язык') . ": $lang<br />";
        echo "<select name='lang' class='form-control' style='width: 50%;'>";
        $lang_list = $db->query("SELECT * FROM `lang_list`");
        while ($post = $db->get_row($lang_list)) {
            echo "<option value='" . $post['name_g'] . "' " . ($post['name_g'] == $set['lang'] ? " selected='selected'" : null) . ">" . $post['name'] . "</option>";
        }
        echo "</select><br />";

        $doc->Button('btn btn-success btn-sm', 'save', 'save', 'Сохранить');

        echo "</form>";

        break;

    case 'saves':

        if (isset($_POST['save'])) {
            #если гость
            if ($user['id'] < 1) {
                $_SESSION['lang'] = $_POST['lang'];
            } else {
                #если юзер
                $db->query("UPDATE `user` SET `lang` = '" . $db->safesql($_POST['lang']) . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");
                #Удаляем кэш
                cache_delete::user($user['id']);
            }
            $_SESSION['message'] = lang("Изменения сохранены");
            header("Location: language.php" . SID);
            exit;
        }

        break;
}

include_once H . 'sys/inc/tfoot.php';
